<template>
  <div class="h-full flex flex-col space-y-8">
    <main class="flex-auto">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
        @goTo="goToStage"
      />
    </main>
    <footer class="flex justify-center items-center">
      <img
        src="@/assets/img/icons/lock.png"
        width="14"
        alt="lock icon"
        class="mr-3"
      >
      <span class="text-xs text-grey-dark uppercase">
        256-bit TLS Security
      </span>
    </footer>
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import YourHealth1 from "@/components/quizzes/YourHealth/YourHealth1";
import YourHealth2 from "@/components/quizzes/YourHealth/YourHealth2";
import YourHealth3 from "@/components/quizzes/YourHealth/YourHealth3";
import YourHealth4 from "@/components/quizzes/YourHealth/YourHealth4";
import YourHealth5 from "@/components/quizzes/YourHealth/YourHealth5";
import YourHealth6 from "@/components/quizzes/YourHealth/YourHealth6";
import YourHealth7 from "@/components/quizzes/YourHealth/YourHealth7";
import YourHealth8 from "@/components/quizzes/YourHealth/YourHealth8";
import YourHealth9 from "@/components/quizzes/YourHealth/YourHealth9";
import YourHealth10 from "@/components/quizzes/YourHealth/YourHealth10";
import YourHealth11 from "@/components/quizzes/YourHealth/YourHealth11";
import YourHealth12 from "@/components/quizzes/YourHealth/YourHealth12";
import YourHealth13 from "@/components/quizzes/YourHealth/YourHealth13";
import YourHealth14 from "@/components/quizzes/YourHealth/YourHealth14";
import YourHealth15 from "@/components/quizzes/YourHealth/YourHealth15";
import YourHealth16 from "@/components/quizzes/YourHealth/YourHealth16";
import YourHealth17 from "@/components/quizzes/YourHealth/YourHealth17";
import YourHealth18 from "@/components/quizzes/YourHealth/YourHealth18";
import YourHealth19 from "@/components/quizzes/YourHealth/YourHealth19";
import YourHealth20 from "@/components/quizzes/YourHealth/YourHealth20";
import YourHealth21 from "@/components/quizzes/YourHealth/YourHealth21";
import YourHealth22 from "@/components/quizzes/YourHealth/YourHealth22";
import YourHealth23 from "@/components/quizzes/YourHealth/YourHealth23";

export default {
  mixins: [parentComponentMixin],
  name: "YourHealth",
  data() {
    return {
      stages: {
        1: YourHealth1, 2: YourHealth2, 3: YourHealth3,
        4: YourHealth4, 5: YourHealth5, 6: YourHealth6,
        7: YourHealth7, 8: YourHealth8, 9: YourHealth9,
        10: YourHealth10, 11: YourHealth11, 12: YourHealth12,
        13: YourHealth13, 14: YourHealth14, 15: YourHealth15,
        16: YourHealth16, 17: YourHealth17, 18: YourHealth18,
        19: YourHealth19, 20: YourHealth20, 21: YourHealth21,
        22: YourHealth22, 23: YourHealth23
      },
      stageNumber: 1,
    }
  },
  methods: {
    goToStage(number) {
      this.stageNumber = number
    },
  }
}
</script>

<style scoped>

</style>
